> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新工具

> 更新工具的配置

## 請求

```bash theme={null}
PUT https://api.pathors.com/v1/projects/{projectId}/tools/{toolId}
```

### 路徑參數

<ParamField path="projectId" type="string" required>專案 ID</ParamField>
<ParamField path="toolId" type="string" required>工具 ID</ParamField>

### 標頭

<ParamField header="Authorization" type="string" required>
  使用您的 Developer Key 進行 Bearer 令牌認證
</ParamField>

### 請求主體

<ParamField body="name" type="string">工具名稱（1-64 個字元）</ParamField>
<ParamField body="description" type="string">工具描述</ParamField>
<ParamField body="metadata" type="object">更新後特定類型的配置</ParamField>
<ParamField body="inputSchema" type="object">更新後工具輸入的 JSON Schema</ParamField>

## 回應

回傳更新後的工具。

### 範例

```bash theme={null}
curl -X PUT https://api.pathors.com/v1/projects/{projectId}/tools/{toolId} \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "updated-search",
    "description": "Updated search API"
  }'
```
